Subject: Re: bug#27923: 24.3; -iconic switch screws up geometry

From: Geoff Kuenning <[email-masked]>
Date: Mon, 21 Feb 2022 14:53:48 -0800

Well...yes and no.  The "absurdly narrow" problem is gone.  But if 
I start emacs with -iconic, the window *height* is now off (it's 
slightly too tall, by 1-2 lines, so that it goes off the screen 
since I use a full-height window).  Without -iconic it is 
correctly sized for my screen.

FWIW I use the sawfish window manager (because it's programmable 
via lisp...perhaps there are other emacs users who like lisp? 
*grin*).

> Geoff Kuenning <[email-masked]> writes:
>
>> In 24.3.1, starting emacs with the "-iconic" switch causes the 
>> main
>> emacs window to be sized to the width of the icon rather than 
>> the width
>> specified in the X resource database.  Interestingly, the 
>> height is
>> still correct.  Compare the window created by:
>>
>>     $ emacs &
>>
>> with the one from:
>>
>>     $ emacs -iconic &
>
> (I'm going through old bug reports that unfortunately weren't 
> resolved
> at the time.)
>
> I tried reproducing this on Debian/bullseye with Gnome Shell, 
> and I
> didn't see any differences in the frame sizes here, but perhaps 
> it's
> dependent on the window manager.
>
> Are you still seeing this problem in recent Emacs versions?
>
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 
    Geoff Kuenning   [email-masked] 
    http://www.cs.hmc.edu/~geoff/

One could not be a successful scientist without realizing that, in 
contrast to
the popular conception supported by newspapers and mothers of 
scientists, a
goodly number of scientists are not only narrow-minded and dull, 
but also just
stupid. -- James Watson